.circle-badge {
	color: #ffffff;
	font-size: 14px;
	background-color: #3f75e7;
	border: 2px solid #3f75e7;
	border-radius: 50%;
	position: absolute;
	width: 25px;
	height: 25px;
	left: -12px;
	top: 10px;
	z-index: 1001;

	&.badge-sm {
		width: 15px;
		height: 15px;
		top: 7px;
		left: -7px;
	}

	&.badge-warning {
		background-color: #e8949e;
		border: 2px solid #e8949e;
	}

	p {
		margin: -2px 0 0;
		line-height: 25px;

		&:hover {
			cursor: default;
		}
	}
}

.responsive-circle {
	display: inline-block;
	position: relative;
	width: 100%;
	height: 0;
	padding: 50% 0;
	border-radius: 50%;
	line-height: 0;
}

.badge {
	margin: 0 5px;
}

/* === NEW COLOR CUSTOM BUTTONS  === */
/* Uses the new proposed colors */
/* These classes use most of Bootstrap's defaults so sidestep the overrides we added to .btn */

.btn-bridge {
	display: inline-block;
	margin-bottom: 0;
	font-family: "Open Sans", sans-serif;
	font-size: 14px;
	font-weight: 600;
	letter-spacing: 0.75px;
	text-align: center;
	vertical-align: middle;
	touch-action: manipulation;
	cursor: pointer;
	background-image: none;
	border: 2px solid transparent;
	white-space: nowrap;
	padding: 6px 12px;
	border-radius: 2px;
	border-color: #2e6da4;
	background-color: #ffffff;
	color: #2e6da4;
}

.btn-bridge:hover,
.btn-bridge:focus,
.btn-bridge:active {
	cursor: pointer;
	text-decoration: none;
	background-color: #ffffff;
	border-color: #6f8cb9;
	color: #6f8cb9;
}

.btn-bridge:disabled,
.btn-bridge.disabled,
.btn-bridge.disabled:hover,
.btn-bridge.disabled:focus,
.btn-bridge.disabled:active {
	background-color: #ffffff;
	border-color: #cdd4e5;
	color: #cdd4e5;
	cursor: not-allowed;
	text-decoration: none;
}

.btn-primary {
	color: #fff;
	background-color: #2e6da4;
	border-color: #2e6da4;
}

.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active {
	cursor: pointer;
	text-decoration: none;
	color: #ffffff;
	background-color: #6f8cb9;
	border-color: #6f8cb9;
}

.btn-primary:disabled,
.btn-primary.disabled,
.btn-primary.disabled:hover,
.btn-primary.disabled:focus,
.btn-primary.disabled:active {
	color: #ffffff;
	background-color: #cdd4e5;
	border-color: #cdd4e5;
	cursor: not-allowed;
	text-decoration: none;
}

/* end NEW CUSTOM BUTTONS */


.btn-lg {
	font-size: 18px;
	padding: 10px 25px;
}

.btn-sm {
	font-size: 14px;
	padding: 6px 12px;
	width: auto;
}

.btn.btn-auto {
	width: auto;
}

.btn.btn-link,
.btn-plain-text {
	width: auto;
	font-size: inherit;
	font-weight: normal;
	border-radius: 0;
	padding: 0;
	z-index: auto;
	background-color: transparent;
	vertical-align: baseline;

	&:hover {
		background-color: transparent;
		color: #2455ba;
	}

	&.bold-text {
		font-weight: 700;
	}
}

.btn.btn-link.btn-link-padded {
	padding: 14px;
}

.btn.btn-link,
.btn.btn-link:hover,
.btn.btn-link:focus,
.btn.btn-link:active  {
	border-color: transparent;
	box-shadow: none;
	background-color: transparent;
}

.btn-plain-text,
.btn-plain-text:hover,
.btn-plain-text:focus,
.btn-plain-text:active  {
	border-color: transparent;
	text-decoration: none;
	box-shadow: none;
	background-color: transparent;
}

.btn-plain-text {
	text-transform: none;
	
	&:focus {
		outline: none;
	}
}

.btn-gray {
	color: #58595b;
}

.btn-split {

	.dropdown-toggle {
		width: 48px;
		color: #58595b;
		border-color: #58595b;
		border-radius: 0 2px 2px 0;

		&:hover,
		&:focus,
		&:active {
			background-color: #ffffff;
			color: #3F75E7;
			border-color: #3F75E7;
		}
	}

	.dropdown-menu {
		max-width: 227px;
	}
}

.dropdown-menu {
  li,
  li > a,
  div li,
  div li > a,
  li > a > span > button.btn {
  	overflow: hidden;
  	text-overflow: ellipsis;
  }

  li > a > span {
  	padding: 0;

  	button.btn {
  		text-transform: none;
  		width: 100%;
  		text-align: left;
  	}
  }

	/*
		If a custom component/button is used within MenuItem,
  	add .dropdown-button to MenuItem to remove styling from default parent <a>
  	and add to custom <button> instead
  */
  .dropdown-button {

  	& > a {
  		padding: 0;

  		button {
  			padding: 3px 20px;
  		}
  	}
  }

  /* match bootstrap styling on menu items that are wrapped in a div */
  div li:hover,
  div li > a:hover,
  li > a > span > button.btn:hover,
  div li:focus,
  div li > a:focus,
  li > a > span > button.btn:focus {
  	text-decoration: none;
  	background-color: #f5f5f5;
  }
  
  .dropdown-header {
  	text-transform: uppercase;
  }

  li > a,
  li > a:hover,
  li > a:active,
  li > a:focus,
  li > a > .load_modal,
  li > a > .load_modal:hover,
  li > a > .load_modal:active,
  li > a > .load_modal:focus,
  li > a > span > button.btn,
  li > a > span > button.btn:hover,
  li > a > span > button.btn:active,
  li > a > span > button.btn:focus, {
  	color: #58595b;
  }
}

.access-message p, .access-message .access-success {
	display: inline;
	padding-right: 10px;
}

.access-message p {
	padding-right: 15px;
}

.bridge-modal {

	&.modal-full {
		min-width: 90%;
	}

	.modal-content {
		max-height: 90vh;
		overflow-y: scroll;
	}
	
	.modal-header {
		padding: 30px;
		text-align: center;

		.modal-title {
			font-size: 24px;
			font-weight: 500;
		}

		.close {
			font-size: 35px;
			position: absolute;
			top: 8px;
			right: 15px;
		}
	}

	.color-header {
		background-color: #e9f1f9;
		padding: 10px 30px 25px;
	}

	.modal-body {
		padding: 15px 30px;
	}

	@media only screen and (min-width: 768px) and (max-width: 991px) {
		&.modal-lg {
			width: 90vw;
		}
	}
}

/* Apply .plain-modal with .bridge-modal to remove usual modal styling */
.plain-modal {

	.modal-header {
		padding: 0;
		text-align: left;
	}

	.modal-body {
		padding: 0;

		.card-large {
			margin-bottom: 0;
		}
	}
}

/* Apply .fixed-header with .bridge-modal for a header fixed at top and scrolling content */
/* Note: Set the header to a fixed height doesn't allow for overflow of a second row */
.fixed-header {
	
	.modal-header {
		height: 95px;
	}

	.modal-body {
		min-height: 210px;
		max-height: calc(90vh - 95px); /* Scroll container overflow but leave header fixed */
	}
}

/* Apply .form-footer-modal along with .bridge-modal and .fixed-header */
/* This class accounts for a fixed-bottom footer and updates height when footer expands */
.form-footer-modal {
	.modal-body {
		padding: 15px 30px;
		max-height: calc(90vh - 200px); /* Scroll container overflow but leave header fixed */
	}

	.modal-footer {
		text-align: left;
		height: 105px;
	}

	&.form-expanded {

		.modal-body {
			max-height: calc(90vh - 280px);
		}

		.modal-footer {
			height: 185px;
		}
	}
}

.load_modal {
	color: #3f75e7;
}

.load_modal h4:hover {
	color: #2455ba;
	cursor: pointer;
	text-decoration: underline;
}

.dropdown-menu {
	.dropdown-header {
		text-transform: uppercase;
	}
}

.hidden-panel {
	border-color: transparent;
	box-shadow: none;
	background-color: transparent;
	margin-bottom: 0;
}

.circle-group {
	display: inline-flex;
	margin-right: 15px;

	.avatar,
	.avatar-sm {
		margin-right: -5px;
	}

	.avatar-lg,
	.avatar-xl {
		margin-right: -10px;
	}

	.img-responsive,
	.responsive-circle {
		box-shadow: -1px 0px 3px rgba(0, 0, 0, 0.5);
	}
}

.avatar {
	position: relative;
}

.avatar-sm {
	width: 20px;
	height: 20px;
	font-size: 8px;

	.sq-owner-image {
		height: 20px;
		position: absolute;
	}
}

.avatar-lg {
	width: 40px;
	height: 40px;

	.sq-owner-image {
		height: 40px;
		position: absolute;
	}
}

.avatar-xl {
	width: 70px;
	height: 70px;

	.sq-owner-image {
		height: 70px;
		position: absolute;
	}
}


.avatar-tooltip.tooltip {
	/* needs to be above modal, which is set to 1200 */
	z-index: 1201;
}

.table-view {
	overflow-x: auto;
}

/* custom styling for tooltip */
/* add bridge-tooltip class to <Tooltip /> component to use */
.bridge-tooltip {
	z-index: 1200;

	&.tooltip.in {
		opacity: 1;
		filter: alpha(opacity=100);
	}

	&.tooltip.left {
		position: absolute;
		float: none;
		margin-left: -13px;
		padding: 15px 5px 15px 15px;
	}

	&.tooltip.right {
		position: absolute;
		float: none;
		margin-left: 13px;
		padding: 15px 15px 15px 5px;
	}

	&.tooltip.top {
		position: absolute;
		float: none;
		margin-top: -13px;
		padding: 15px 15px 5px;
	}

	&.tooltip.bottom {
		position: absolute;
		float: none;
		margin-top: 13px;
		padding: 5px 15px 15px;
	}

	.tooltip-inner {
		color: #58595b;
		background-color: #ffffff;
		max-width: 300px;
		border: 1px solid #58595b;
		padding: 10px 25px;
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
		font-size: 14px;
		text-align: left;
	}

	.tooltip-arrow:after {
		content: '';
		position: absolute;
		width: 0;
		height: 0;
		border-color: transparent;
		border-style: solid;
		z-index: -1;
	}

	&.left .tooltip-arrow {
		border-left-color: #ffffff;
		border-width: 10px 0 10px 15px;
		right: -9px;
		margin-top: -10px;

		&:after {
			right: -2px;
			margin-top: -11px;
			border-width: 11px 0 11px 16px;
			border-left-color: #58595b;
		}
	}

	&.right .tooltip-arrow {
		border-right-color: #ffffff;
		border-width: 10px 15px 10px 0;
		left: -9px;
		margin-top: -10px;

		&:after {
			left: -2px;
			margin-top: -11px;
			border-width: 11px 16px 11px 0;
			border-right-color: #58595b;
		}
	}

	&.top .tooltip-arrow {
		border-top-color: #fff;
		border-width: 15px 10px 0;
		bottom: -9px;
		margin-left: -10px;

		&:after {
			bottom: -2px;
			margin-left: -11px;
			border-width: 16px 11px 0;
			border-top-color: #58595b;
		}
	}

	&.bottom .tooltip-arrow {
		border-bottom-color: #ffffff;
		border-width: 0 10px 15px;
		top: -9px;
		margin-left: -9px;

		&:after {
			top: -2px;
			margin-left: -11px;
			border-width: 0 11px 16px;
			border-bottom-color: #58595b;
		}
	}

	hr {
		border-top: 1px solid #58595b;
	}
}

/* Add this to a tooltip trigger element so have arrow cursor on hover instead of text */
.tooltip-trigger:hover {
	cursor: default;
}
/* END CUSTOM TOOLTIP */


/* === CUSTOM POPOVER === */
/* add bridge-popover class to <Popover /> component to use */
/* TODO: have only adjusted the arrows for position bottom -- need to fix when we use others */

.popover.bridge-popover {
	max-width: 500px !important;
	padding: 10px 20px;
	border: 1px solid #58595b;
	box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
	z-index: 1201; /* Must be above modal */

	&.bridge-popover-sm {
		width: 275px;
	}

	&.left > .arrow {
		border-left-color: #ffffff;
		border-width: 10px 0 10px 15px;
		right: -9px;
		margin-top: -10px;

		&:after {
			right: -2px;
			margin-top: -11px;
			border-width: 11px 0 11px 16px;
			border-left-color: #58595b;
		}
	}

	&.right {
		margin-left: 16px;
	}

	&.right > .arrow {
		border-right-color: #ffffff;
		border-width: 10px 15px 10px 0;
		left: -15px;
		margin-top: -10px;

		&:after {
			left: -2px;
			top: -11px;
			border-width: 11px 16px 11px 0;
			border-right-color: #58595b;
		}
	}

	&.bottom {
		margin-top: 16px;
	}

	&.bottom > .arrow {
		border-bottom-color: #ffffff;
		border-width: 0 10px 15px;
		top: -15px;
		margin-left: -9px;

		&:after {
			top: -2px;
			margin-left: -11px;
			border-width: 0 11px 16px;
			border-bottom-color: #58595b;
		}
	}

	&.top {
		margin-top: -16px;
	}

	&.top > .arrow {
		border-top-color: #ffffff;
		border-width: 15px 10px 0;
		bottom: -15px;
		margin-left: -9px;

		&:after {
			top: -14px;
			margin-left: -11px;
			border-width: 16px 11px 0;
			border-top-color: #58595b;
		}
	}

	.arrow:after {
		z-index: -1;
	}

	h4 {
		font-weight: 600;
	}
}

/* END CUSTOM POPOVER */


/* === pie loader === */
.loader-wrapper {
	height: 150px;
	width: 150px;
	position: relative;
	margin: 15px auto;

	/* smaller size for button loader */
	&.loader-sm {
		height: 18px;
		width: 18px;
		margin: 0 auto;
	}
}

.loader-text {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 66%;
	height: 40%;
	margin: -20% 0 0 -33%;
	text-transform: uppercase;
	display: flex;
	align-items: center;
	text-align: center;
	overflow: hidden;

	span,
	h4 {
		margin: 0 auto;
	}

	h1,
	h3 {
		display: inline;
	}

	h3 {
		vertical-align: top;
	}
}
/* === */


.load_modal {
	color: #3f75e7;
}

.load_modal h4:hover {
	color: #2455ba;
	cursor: pointer;
	text-decoration: underline;
}

.card-small,
.card-large {
	border-radius: 4px;

	.modal-footer {
		text-align: left;
	}
}

.card-small {
	border: 1px solid #dddddd;
	margin-bottom: 6px;
}

.card-large {
	border: 2px solid #dddddd;
	margin-bottom: 15px;
}

.card-hover:hover,
.card-hover .card-small:hover {
	background-color: #dddddd;
	border-color: #dddddd;
	cursor: move;
	border-radius: 4px;
}

.card-label {
	.bold-text {
		vertical-align: middle;
		padding-right: 10px;
	}
}

.card-header {

	h5 {
		display: inline-block;
	}

	p {
		margin-top: 10px;
	}

	i {
		margin: 10px 5px;
	}
}

.card-color-header {
	padding: 15px 15px 20px;
	text-align: center;
	background-color: #e9f1f9;
	border-bottom: 2px solid #dddddd;

	h2 {
		margin-top: 0;
		margin-bottom: 0;
	}
}

.card-color-header-sm {
	padding: 10px;
	text-align: left;
	background-color: #e9f1f9;
	border-bottom: 2px solid #dddddd;

	h3,
	h4 {
		margin-top: 0;
		margin-bottom: 0;
	}
}


.card-list {

	.card-list-group {
		border-bottom: 1px solid #dddddd;
		padding-bottom: 5px;
	}

	.card-list-group > h3 {
		padding: 0 15px;

		&:hover {
			cursor: pointer;
		}
	}

	.list-item {
		padding: 0 15px;
		border-bottom: 1px solid #dddddd;
		display: flex;
	}

	.card-list-group:last-child,
	.list-item:last-child {
		border-bottom: none;
	}
}

.move-icon {
	position: absolute;
	line-height: inherit;
	left: -10px;

	&:before {
		vertical-align: -10%;
	}
}

/* For SquareDate component, which displays small month above large date */
.square-date {

	.square-month {
		font-size: 18px;
		font-weight: 600;
		line-height: 1;
	}

	.square-day {
		font-size: 32px;
		font-weight: 600;
		line-height: 1;
	}
}

/* === DROPZONE STYLING === */

/* Top info box */
.file-drag-text{
	position: fixed;
	top: 15px;
	left: 15px;
	right: 15px;
	z-index: 1200;
	margin: 0 auto;
	border: 1px solid #EBDE44;
	border-radius: 5px;
	background-color: #FFF799;
	padding: 15px 25px;
	color: #89811E;
	text-align: center;
	box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}

.drop-target-wrapper {
	border: 2px solid #3F75E7;
	min-height: 75px;
	text-align: center;
	color: #3F75E7;
	padding: 7px 25px 0;
	background-color: #F4F6FB;
	border-radius: 4px;
	display: block;
}

.drop-active {
	box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}

.drop-initial {
	opacity: 0.7;
	border: 2px dashed #3F75E7;
}

.drop-pending {
	opacity: 0.7;
}

.drop-success {
	color: #0B8140;
	background-color: #BCDEB0;
	border-color: #0B8140;
}

.drop-error {
	color: #721c24;
	background-color: #f8d7da;
	border-color: #e8949e;
}

/* END DROPZONE STYLING */


/*// **********************
// helper/utility classes
// ***********************/

.inactive {
	color: #dddddd;
}

.bold-text {
	font-weight: 700;
}

.italic-text {
	font-style: italic;
}

.all-caps-text {
	text-transform: uppercase;
}

.text-grey {
	color: #979797;
}

hr.thin {
	margin-top: 10px;
	margin-bottom: 10px;
}

.inline-flex-row {
	display: inline-flex;
	flex-wrap: wrap-reverse;

	&.pull-right {
		justify-content: flex-end;
	}
}

.flex-row {
	display: flex;
}

.inline-row {
	display: inline;

	.btn,
	p {
		display: inline;
	}
}

.inline-block-row {
	margin-left: -15px;
	margin-right: -15px;
}

.inline-block-col {
	display: inline-block;
	padding-left: 15px;
	padding-right: 15px;
}

.inline-block-element {
	display: inline-block;
}

.inline-block-header, {

	h1,
	h2,
	h3,
	h4 {
		display: inline-block;
		padding-right: 10px;
	}
}

.inline-header, {

	h1,
	h2,
	h3,
	h4 {
		display: inline;
		padding-right: 10px;
		word-wrap: break-word;
	}
}

.inline-block-header,
.inline-header {
	
	.inline-header-secondary {
		text-transform: uppercase;
		color: #808080;
		display: inline-block;
		margin-top: 0;
		margin-bottom: 0;
		padding-right: 0;
	}
}

.inline-subheader {

	h4,
	h5 {
		display: inline;
	}

	h5 {
		text-transform: uppercase;
		color: #808080;
		padding-left: 10px;
	}
}

.align-top {
	vertical-align: top;
}

.margin-top-10 {
	margin-top: 10px;
}

.margin-bottom-10 {
	margin-bottom: 10px;
}

.margin-bottom-30 {
	margin-bottom: 30px;
}

.margin-top-29 {
	margin-top: 29px;
}

.input-group-100 {
	width: 100%;
}

/* No results returned, message in middle of page */
.no-results-msg {
	text-align: center;
	margin-top: 50px;
	margin-bottom: 50px;
}

/* thumbnail image cropped to horizontal rectangle */
.thumbnail-h {
	height: 150px;
	overflow: hidden;

	img {
		width: 100%;
	}
}

.divider-text {
	margin-top: 18px;
	margin-bottom: 18px;
}

.relative-position {
	position: relative;
}

.truncate {
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

p .small {
	color: #777777;
}

.hoverable:hover {
	cursor: pointer;
}

/* ********************** */


.toolbar {
	p {
		display: inline-block;
	}
}

/* add .form-override to <form /> to override our custom CSS and return to original Bootstrap styles */
.form-override {

	input[type=text].form-control,
	input[type=email].form-control {
		height: 34px;
	}

	input[type=text], input[type=password], input[type=email], textarea {
	  padding: 6px 12px !important;
	}

	input[type=text], input[type=email], textarea {
	  font-size: 14px !important;
	}

	input[type=checkbox] {
	  vertical-align: middle;
	}

	.checkbox label {
		display: inline-flex;

		.avatar {
			margin-right: 10px;
		}
	}
}

/* Combine bsStyle="link" or .class="btn-link" with this class for a button styled like placeholder text */
.btn.btn-link.input-placeholder-btn {
	color: #777777;
	font-size: 14px;
	padding: 6px 12px;
	text-transform: none;
	text-align: left;
	width: 100%

	&:hover {
		text-decoration: none;
		color: #58595b;
	}
}

.checkbox {
	vertical-align: middle;
}

.checkbox input[type=checkbox] {
	margin-top: 0;
	margin-left: -28px;
}

.checkbox label {
	padding-left: 28px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
}

/* Format checkbox to display inline with button */
.inline-checkbox {
	padding-left: 15px;
	padding-right: 15px;
	margin-top: 14px;
	margin-bottom: 14px;
	line-height: 18px;
}

.input-select{

	input{
		margin-top: 15px;
	}
}

/* Align body-style text centered in a row with a button */
.align-btn-row {
	line-height: 18px;
	margin-top: 14px;
	margin-bottom: 14px;
	vertical-align: middle; 
}

.user-row {
	margin-bottom: 15px;

	.avatar-lg {
		margin-right: 15px;
	}

	p {
		margin-top: 10px;
	}
}
